## [0.8 Unreleased]

## [0.7] - 2024-11-17
### Added
* Judge view, add/delete Judges (admins) in the frontend
* Dockerfiles

### Changed
* Improved development setup and documentation
* Improved compact display on mobile devices (@samuel.berchtold)

### Fixed
* Active navigation for startlist
* overflow-x for viewing tables on small screens
* Comparator logic always returns an integer value
* Birthday display with local date format

## [0.6] - 2024-10-06
### Added
* Settings screen: logo, color theme, show/hide version
* Condensed display with toggle to show details

### Changed
* Authenticated requests to API
* Improve handling of websocket clients
* Improve no response handling (204 no content)
* Document PostgreSQL requirements for replication (real-time subscription)
* Upgrade to vite5

### Fixed
* MaxListenersExceededWarning: Manage 1 db subscriptions on API server
* Bump several npm package versions
* Order/sorting of same result when ranking by specific heat

## [0.5] - 2024-09-27
### Removed
* Supabase API

### Added
* Connect to any PostgreSQL database (incl. Supabase)
* API for database queries and authentication
* Realtime score streaming with websocket
* Automatic npm dependency updates with updatecli
* Export to csv
* Developer environment (docker-compose, nix-shell, docs)

### Fixed
* fix: cascade delete judges on scores
* fix: use full `search_path` for functions

## [0.4] - 2023-07-02

### Changed
* feat: replace rating with scoring
* feat: update schema picture
* feat: update favicon
* feat: migrate to vite
* feat: update flex layout
* feat: create empty new heat
* fix: floating point imprecision in sum

## [0.3] - 2023-04-07

### Changed
* fix: loop in heat list (#f13097)

### Added
* feat: modify startlist, add/remove athletes
* feat: modify athletes, create/remove athletes
* feat: loading indicators
* feat: cleanup database subscriptions to increase performance (#b16427)

## [0.2] - 2023-04-03

### Changed
* fix: infinite useEffect dependency loop
* Simpler session passing

### Added
* `REACT_APP_SUPABASE_URL` env var
* UI for delete heats
* Sort by start nr
* Documentation for realtime ratings table

## [0.1] - 2023-03-14

### Added
* Scoring UI for judges
* Setup and installation instructions
* Authentication with Supabase magic links
* Live updating leaderboard
* Sort by best/worst heat or sum
* Create new heats from live leaderboard
